Bug 109077 - FILEOPEN: Word text boxes with background, become two in LO
Summary: FILEOPEN: Word text boxes with background, become two in LO
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4 all versions
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.2.0 target:6.1.1
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks: DOCX-Textbox
  Show dependency treegraph
 
Reported: 2017-07-12 10:39 UTC by Marco A.G.Pinto
Modified: 2018-07-27 10:39 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample of MS Word 2016 .docx (16.58 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2017-07-12 10:39 UTC, Marco A.G.Pinto
Details
comparison MSO 2010 and LibreOffice 6.0 (25.09 KB, image/png)
2017-07-12 11:28 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marco A.G.Pinto 2017-07-12 10:39:15 UTC
Created attachment 134601 [details]
Sample of MS Word 2016 .docx

Hello!

The textboxes become two.

Notice that here there isn't much damage, but in my thesis, I have textboxes around a page big and when they become two, it appears in both pages. One with the text and other with the grey background.
Comment 1 Xisco Faulí 2017-07-12 11:27:38 UTC
Confirmed in

Version: 6.0.0.0.alpha0+
Build ID: cb37c5f0f3de7b545231a53d46a5271058af76ad
CPU threads: 1; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-06-23_06:55:41
Locale: es-ES (es_ES); Calc: group
Comment 2 Xisco Faulí 2017-07-12 11:28:17 UTC
Created attachment 134602 [details]
comparison MSO 2010 and LibreOffice 6.0
Comment 3 Xisco Faulí 2017-07-12 11:39:50 UTC
Regression introduced by:

author	Miklos Vajna <vmiklos@collabora.co.uk>	2014-06-18 09:57:31 (GMT)
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2014-06-18 10:09:15 (GMT)
commit	d379d18666aa42031359ca8eb34b0021960347ae (patch)
tree	d0324e2297be256e8c291cd6e17676f68f9f072d
parent	8e67a7796f598de2f11b694542bccb48343f0d9a (diff)

oox: import WPS shape with text as shape with textbox

This allows having real shapes (like having rounded corners) and complex
content (like containing a table) at the same time.

WPS shapes are wrappers around drawingML markup in DOCX files, so this
only affects the DOCX import.

bisected with bibisect-44max

Adding Cc: to Miklos Vajna
Comment 4 Miklos Vajna 2018-07-19 14:35:41 UTC
I'll look at this.
Comment 5 Commit Notification 2018-07-26 09:48:15 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=11d87b35474b642e99e7aa397aa18992c1bc20c9

tdf#109077 sw textbox: fix as-char shapes with custom print area in para

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2018-07-27 09:27:46 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=87efbfc5198727c8bf357849833e0bb120458d64&h=libreoffice-6-1

tdf#109077 sw textbox: fix as-char shapes with custom print area in para

It will be available in 6.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2018-07-27 10:39:56 UTC
Verified in

Version: 6.2.0.0.alpha0+
Build ID: aa84f1458f422c1acf38b53a3e3138cd0e84e313
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

@Miklos, Thanks for fixing this!!